Subject: Re: [ANNOUNCE] iproute2 2.6.20-070313

From: Patrick McHardy <[email-masked]>
Date: Wed, 14 Mar 2007 21:42:40 +0100

Stephen Hemminger wrote:
> On Wed, 14 Mar 2007 13:32:28 +0100
> Patrick McHardy <[email-masked]> wrote:
> 
>>RTA_* attributes aren't used for routing rules anymore inside
>>the kernel.
> 
> 
> But we need to keep them in iproute2 for back compatibility?

Not really for compatibility, its the numerical values that matter.
iproute hasn't been changed to use the FRA_* attributes for routing
rules, but it might be a good idea to do this before adding the next
RTA_* attribute since RTA_FWMASK doesn't have any meaning for routes
in the kernel, so the next RTA attribute we add could just use the
same value instead of leaving a hole.